@import 'styles';

.root {
  width: 164px;
  height: 51px;
  align-items: center;
  font-family: var(--f-default);
  font-weight: var(--f-weight-600);
  font-size: var(--f-size-16);
  border-radius: 8px;

  svg {
    path {
      stroke-width: 1px;
      stroke: var(--cl-white);
    }
  }

  &:global(.ant-btn-primary) {
    background-color: var(--cl-black-2);
    color: var(--cl-purple-3);
    border: none;
    &:hover {
      background-color: var(--cl-purple-1);
      color: var(--cl-white);
    }
  }

  &:global(.ant-btn-text) {
    color: var(--cl-white);
    &:hover {
      color: var(--cl-purple-1);
    }
  }
}
